/*******************************************************************************/
/*	      Testovac program pro oven funkce digitlnho touchscreenu        */
/*******************************************************************************/

/*_____ I N C L U D E S ____________________________________________________*/
#include <avr/io.h>
#include <avr/pgmspace.h>
#define  F_OSC 16000000

#include "T6963C\t6963c.h"
#include "TOUCH\touch.h"

/*_____ GLOBAL VARIABLE ____________________________________________________*/
char lcd_buffer [3] ="00";				// buffer pro ukldn pozic touchscreenu

/*_____ Hlavn smyka programu _____________________________________________*/
int main(void)
{
touch_init();							// Inicializace dotykovho panelu
GLCD_InitalizeInterface();
GLCD_Initalize(); 			      	    // Initalizace LCD displeje
GLCD_ClearText(); 				        // Smazn texthov oblasti
GLCD_ClearCG(); 					    // Smazn CG RAM
GLCD_ClearGraphic(); 				    // Smazn grafick pamti

//---------- Vpis textu na displej---------
GLCD_TextGoTo(6,1);						// nastaven pozice kurzoru
GLCD_WriteString("Touchscreen test"); 	// write text
GLCD_TextGoTo(8,3);						// nastaven pozice kurzoru
GLCD_WriteString("MMIA PROJEKT"); 		// write text
GLCD_TextGoTo(1,4);						// nastaven pozice kurzoru
GLCD_WriteString("---------------------------");

GLCD_TextGoTo(1,6);					
GLCD_WriteString("Souradnice stisknute pozice:"); 

GLCD_TextGoTo(1,8);					
GLCD_WriteString("Souradnice x:"); 
GLCD_TextGoTo(1,10);					
GLCD_WriteString("Souradnice y:"); 

//- Smyka ve kter se testuje msto dotyku -
while (1)
	{
	touch();							// funkce kter vrc informaci o stisku
	lcd_buffer[0]=Tx+48;				// peveden sel na CHAR
	lcd_buffer[1]=Ty+48;
	GLCD_TextGoTo(15,8);
	if (lcd_buffer[0]  == 58) GLCD_WriteString("10");	// nastaven pozice vpisu souadnice X
	else GLCD_WriteChar(lcd_buffer[0]);	// vypsn souadnice X	 	
	GLCD_WriteString(" ");
	GLCD_TextGoTo(15,10);				// nastaven pozice vpisu souadnice Y
	GLCD_WriteChar(lcd_buffer[1]);		// vypsn souadnice Y
	

	if (Tx!=0) PORTD |=_BV(5);			// Pro kontrolu se pi jakmkoli stisknu
	else PORTD &= ~(_BV(5));			// rone dioda D3 na vvojov desce
	} //while 
	

while(1)
	{
		asm volatile ("nop");
	}

return 0;
}
// -------------------------------------------------------------------------------------------------



